package cn.timer.api.controller.zpgl.sevice;


import cn.timer.api.bean.clazz.SysRegion;
import cn.timer.api.config.annotation.UserBean;
import cn.timer.api.dto.zpgl.ImportCandidateDto;
import cn.timer.api.dto.zpgl.ZpglRcxxDto;
import cn.timer.api.utils.Result;
import org.springframework.web.multipart.MultipartFile;

/**
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2022/3/18
 */
public interface ZpglService {
    /**
     * 招聘-变更人才信息状态
     * 添加面试流程记录
     * @param userBean zpglRcxxDto
     * @return
     */
    boolean updateZpglRcxx(UserBean userBean, ZpglRcxxDto zpglRcxxDto);

    /**
     * 地址字典
     * @param keyId
     * @return
     */
    SysRegion getSysRegion(Integer keyId);

    /**
     * BaiduTicResume
     * @param file
     * @return
     */
    Result<Object> addResumeImportCandidate(UserBean userBean, MultipartFile file, ImportCandidateDto importCandidateDto);

    /**
     * ResumeSDK
     * @param file
     * @return
     */
    Result<Object> addCandidateByResumeSDK(UserBean userBean, MultipartFile file, ImportCandidateDto importCandidateDto);


    /**
     * 招聘-更改招聘职位
     * 添加面试流程记录
     * @param userBean zpglRcxxDto
     * @return
     */
    boolean updateZpglRcxxZwxx(UserBean userBean, ZpglRcxxDto zpglRcxxDto);


}
