package cn.timer.api.dao.insure;

import cn.timer.api.bean.insure.InsurePolicy;
import cn.timer.api.dto.insure.InsureUserDto;
import cn.timer.api.dto.insure.PolicyDto;
import cn.timer.api.utils.Page;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import io.swagger.models.auth.In;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 保单信息
 *
 * @author wgd
 * @email 862422848@qq.com
 * @date 2022-03-14 08:53:04
 */
@Repository
public interface InsurePolicyMapper extends BaseMapper<InsurePolicy> {
    List<PolicyDto> policyList(@Param("policy") PolicyDto policyDto);
    PolicyDto getPolicyDetail(@Param("id")Integer id);
    Integer totalPolicy(@Param("policy")PolicyDto policyDto);
    List<PolicyDto> policyTotalList();
    List<InsureUserDto> selectPlansListByorgCode(@Param("orgCode")Integer id);

}
